> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # List list items > Used to get items from a list. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists. ## OpenAPI ````json POST /list/list-item { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/list-item": { "post": { "summary": "List list items", "description": "Used to get items from a list. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists.", "operationId": "list-list-item", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "id": { "type": "integer", "format": "int32", "description": "ID of the list" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "array", "items": { "type": "object", "properties": { "list_id": { "type": "integer", "example": "3621214", "default": "0" }, "value": { "type": "string", "example": "user1" } } } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "data": [ { "list_id": "3621214", "value": "user1" }, { "list_id": "3621214", "value": "user2" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "List Methods" ] } } } } ````